Package com.google.gwt.core.linker

## Class SymbolMapsLinker.SourceMapArtifact

- java.lang.Object
- - com.google.gwt.core.ext.linker.Artifact<EmittedArtifact>
  - - com.google.gwt.core.ext.linker.EmittedArtifact
    - - com.google.gwt.core.ext.linker.SyntheticArtifact
      - - com.google.gwt.core.linker.SymbolMapsLinker.SourceMapArtifact

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Artifact<?>>`
  Enclosing class:
    SymbolMapsLinker

      public static class SymbolMapsLinker.SourceMapArtifact
      extends SyntheticArtifact

  Artifact to represent a sourcemap file to be processed by SymbolMapsLinker.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.core.ext.linker.EmittedArtifact

      `EmittedArtifact.Visibility`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.regex.Pattern` | `isSourceMapFile` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SourceMapArtifact​(int permutationId, int fragment, byte[] js, java.lang.String sourceRoot)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFragment()` |
    `int` | `getPermutationId()` |
    `java.lang.String` | `getSourceRoot()` | The base URL for Java filenames in the sourcemap.
    `static java.lang.String` | `sourceMapFilenameForFragment​(int fragment)` |

    - ### Methods inherited from class com.google.gwt.core.ext.linker.SyntheticArtifact

      `getContents, getLastModified, writeTo`

    - ### Methods inherited from class com.google.gwt.core.ext.linker.EmittedArtifact

      `compareToComparableArtifact, getComparableArtifactType, getPartialPath, getVisibility, hashCode, setVisibility, toString`

    - ### Methods inherited from class com.google.gwt.core.ext.linker.Artifact

      `compareTo, equals, getLinker, isTransferableFromShards`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### isSourceMapFile

          public static final java.util.regex.Pattern isSourceMapFile

  - ### Constructor Detail

    - #### SourceMapArtifact

          public SourceMapArtifact​(int permutationId,
                                   int fragment,
                                   byte[] js,
                                   java.lang.String sourceRoot)

  - ### Method Detail

    - #### getFragment

          public int getFragment()

    - #### getPermutationId

          public int getPermutationId()

    - #### getSourceRoot

          public java.lang.String getSourceRoot()

      The base URL for Java filenames in the sourcemap. (We need to reapply this after edits.)

    - #### sourceMapFilenameForFragment

          public static java.lang.String sourceMapFilenameForFragment​(int fragment)